<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>netstandard1.1;net45</TargetFrameworks>
    <VersionPrefix>15.7.1</VersionPrefix>
    <!--<VersionSuffix></VersionSuffix>-->
    <LangVersion>7.1</LangVersion>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
    <IncludeSymbols>true</IncludeSymbols>
    <SymbolPackageFormat>snupkg</SymbolPackageFormat>
    <PublishRepositoryUrl>true</PublishRepositoryUrl>
    <EmbedUntrackedSources>true</EmbedUntrackedSources>
    <Title>Telegram Bot API Client</Title>
    <Description>The Bot API is an HTTP-based interface created for developers keen on building bots for Telegram.</Description>
    <PackageId>Telegram.Bot</PackageId>
    <Authors>RoundRobin,Poulad</Authors>
    <Copyright>Copyright © Robin Müller 2016</Copyright>
    <PackageIconUrl>https://raw.githubusercontent.com/TelegramBots/Telegram.Bot/master/package-icon.gif</PackageIconUrl>
    <PackageProjectUrl>https://github.com/TelegramBots/telegram.bot</PackageProjectUrl>
    <PackageLicenseUrl>https://raw.githubusercontent.com/TelegramBots/Telegram.Bot/master/LICENSE</PackageLicenseUrl>
    <RepositoryUrl>https://github.com/TelegramBots/telegram.bot.git</RepositoryUrl>
    <PackageTags>Telegram;Bot;Api;Payment;Inline;Games</PackageTags>
  </PropertyGroup>

  <PropertyGroup Condition="'$(TF_BUILD)' == 'true'">
    <ContinuousIntegrationBuild>true</ContinuousIntegrationBuild>
    <Deterministic>true</Deterministic>
  </PropertyGroup>

  <!-- Embed PBD files into test package built in CI because Azure Pipelines don't have symbols server yet -->
  <PropertyGroup Condition="'$(CI_EMBED_SYMBOLS)' == 'true'">
    <AllowedOutputExtensionsInPackageBuildOutputFolder>
      $(AllowedOutputExtensionsInPackageBuildOutputFolder);.pdb
    </AllowedOutputExtensionsInPackageBuildOutputFolder>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="System.Net.Requests" Version="4.3.0" />
    <PackageReference Include="Microsoft.SourceLink.GitHub" Version="1.0.0" PrivateAssets="All" />
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)'=='net45'">
    <PackageReference Include="fastJSON" Version="2.4.0.1" />
    <Reference Include="System.Net.Http" />
    <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies.net45" Version="1.0.3">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
    </PackageReference>
  </ItemGroup>

</Project>
